import RTIcap.*;
import java.util.*;

/**
*/
public class InteractionRecord 
{
   short interactionId;
   String interactionClassName;
   ParameterNaming paramsDirectory;   

   public
   InteractionRecord() {}

   public String
   getName() { return interactionClassName; }

   public short
   getId() { return interactionId; }

    /**
    */
    public
    short getParameterHandle(String theName)
          throws RTIcap.NameNotFound, 
                 RTIcap.FederateNotExecutionMember, 
                 RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, 
                 RTIcap.Deadlock
    {
       return paramsDirectory.getParameterHandle(theName);
    }

    /**
    */
    public
    String getParameterName(short theHandle)
           throws RTIcap.InteractionParameterNotDefined, 
                  RTIcap.FederateNotExecutionMember, 
                  RTIcap.ConcurrentAccessAttempted, RTIcap.RTIinternalError, 
                  RTIcap.Deadlock
    {
       return paramsDirectory.getParameterName(theHandle);
    }

}// end of class InteractionRecord
